net.sourceforge.jnlp.util

## Class UrlUtils

- java.lang.Object
- - net.sourceforge.jnlp.util.UrlUtils

    public class UrlUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`UrlUtils()`

### Method Summary

Methods
`static java.io.File` `decodeUrlAsFile(java.net.URL url)`
`static java.net.URL` `decodeUrlQuietly(java.net.URL url)`
`static boolean` `isLocalFile(java.net.URL url)`
`static java.net.URL` `normalizeUrl(java.net.URL url)`
`static java.net.URL` `normalizeUrl(java.net.URL url, boolean encodeFileUrls)`
`static java.net.URL` `normalizeUrlAndStripParams(java.net.URL url)`
`static java.net.URL` `normalizeUrlAndStripParams(java.net.URL url, boolean encodeFileUrls)`
`static java.net.URL` `normalizeUrlQuietly(java.net.URL url)`
`static java.net.URL` `normalizeUrlQuietly(java.net.URL url, boolean encodeFileUrls)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UrlUtils

    public UrlUtils()

### Method Detail

#### normalizeUrlAndStripParams

    public static java.net.URL normalizeUrlAndStripParams(java.net.URL url,
                                          boolean encodeFileUrls)

#### normalizeUrlAndStripParams

    public static java.net.URL normalizeUrlAndStripParams(java.net.URL url)

#### isLocalFile

    public static boolean isLocalFile(java.net.URL url)

#### decodeUrlQuietly

    public static java.net.URL decodeUrlQuietly(java.net.URL url)

#### normalizeUrl

    public static java.net.URL normalizeUrl(java.net.URL url,
                            boolean encodeFileUrls)
                                     throws java.net.MalformedURLException,
                                            java.io.UnsupportedEncodingException,
                                            java.net.URISyntaxException

Throws:
  `java.net.MalformedURLException`
  `java.io.UnsupportedEncodingException`
  `java.net.URISyntaxException`

#### normalizeUrl

    public static java.net.URL normalizeUrl(java.net.URL url)
                                     throws java.net.MalformedURLException,
                                            java.io.UnsupportedEncodingException,
                                            java.net.URISyntaxException

Throws:
  `java.net.MalformedURLException`
  `java.io.UnsupportedEncodingException`
  `java.net.URISyntaxException`

#### normalizeUrlQuietly

    public static java.net.URL normalizeUrlQuietly(java.net.URL url,
                                   boolean encodeFileUrls)

#### normalizeUrlQuietly

    public static java.net.URL normalizeUrlQuietly(java.net.URL url)

#### decodeUrlAsFile

    public static java.io.File decodeUrlAsFile(java.net.URL url)